Avisi cloud logo
Cloud providers

List node types of a cloud provider.

GET
/api/v1/cloud-providers/{cloudProviderSlug}/nodetypes

Path Parameters

cloudProviderSlug*string
Match^[a-z0-9-_]+$

Query Parameters

pageable*

Optional. When omitted: pageSize=50, pageNumber=0, sortDirection=ASC

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/cloud-providers/string/nodetypes?page=0&size=1&sort=string"
{  "totalPages": 0,  "totalElements": 0,  "size": 0,  "content": [    {      "type": "string",      "cpu": 0,      "memory": 0,      "status": "available",      "architecture": "arm64",      "gpu": {        "count": 0,        "vram": 0,        "type": "string"      }    }  ],  "number": 0,  "sort": {    "empty": true,    "sorted": true,    "unsorted": true  },  "pageable": {    "offset": 0,    "paged": true,    "pageNumber": 0,    "pageSize": 0,    "sort": {      "empty": true,      "sorted": true,      "unsorted": true    },    "unpaged": true  },  "numberOfElements": 0,  "first": true,  "last": true,  "empty": true}